<template>
  <!-- <section id="dashboard-ecommerce">
    <b-alert show variant="primary" v-if="data.name">
      <div class="alert-body">
        <h1 >
          Welcome, {{ data.name }} To
          <span v-if="data.company">
            {{ data.company.name }}
          </span>
          Task Management System
        </h1>
        <p>{{ data.designation }}</p>
      </div>
    </b-alert>
  </section> -->
  <div>
    <center>
      <h3 class="black-color mt-5">Dashboard is Under Developement. Will Launch Soon.</h3>
    </center>
   </div>
</template>

<script>
import store from "@/store";
import ToastificationContent from "@core/components/toastification/ToastificationContent.vue";
import { BRow, BCol, BAlert } from "bootstrap-vue";
import dashboardService from "./service";
import { onUnmounted } from 'vue'
import useAppConfig from "@core/app-config/useAppConfig";
import { useToast } from "vue-toastification";
const toast = useToast();
export default {
  components: {
    BRow,
    BCol,
    BAlert,
  },
  compatConfig: { MODE: 3 },
  setup() {
    const MODULE_NAME = "dashboard";

    // Register module
    if (!store.hasModule(MODULE_NAME))
      store.registerModule(MODULE_NAME, dashboardService);

    // UnRegister on leave
    onUnmounted(() => {
      // if (store.hasModule(MODULE_NAME)) store.unregisterModule(MODULE_NAME);
    });
  },
  data() {
    return {
      data: {},
    };
  },
  mounted() {
    const userData = JSON.parse(localStorage.getItem("userData"));
    store
      .dispatch("dashboard/user", { id: userData.id })
      .then((response) => {
        this.data = response.data.result;
        // localStorage.setItem("userData", JSON.stringify(this.data));

        store.commit("appConfig/UPDATE_USER_PROFILE_PHOTO", {
          profilePhoto: this.data.profile ? import.meta.env.VITE_API_URL + this.data.profile : '',
        });

        if (this.data.company) {
          store.commit("appConfig/UPDATE_COMPNAY_MONO", {
            mono: this.data.company.mono_logo ? import.meta.env.VITE_API_URL + this.data.company.mono_logo : '',
          });
        }
        if (this.data.company) {
          store.commit("appConfig/UPDATE_COMPNAY_LOGO", { logo: this.data.company.logo ? import.meta.env.VITE_API_URL + this.data.company.logo : ''});
        }
        if (this.data.permissions) {
          this.$ability.update(this.data.permissions);
        }
      })
      .catch((e) => {
        console.log(e);
        toast({
          component: ToastificationContent,
          props: {
            title: "Error",
            icon: "AlertCircleIcon",
            text: "Something went wrong. Please try later.",
            variant: "danger",
          },
        });
      });
  },
  methods: {
    capitalized(name) {
      const capitalizedFirst = name[0].toUpperCase();
      const rest = name.slice(1);

      return capitalizedFirst + rest;
    },
  },
};
</script>

<style lang="scss">
// @import "~@resources/scss/vue/pages/dashboard-ecommerce.scss";
// @import "~@resources/scss/vue/libs/chart-apex.scss";
</style>
